All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.storage.olap
Interface MetadataEntityInterface

All Known Subinterfaces:
  CubeInterface, DimensionInterface, HierarchyInterface, LevelInterface, MeasureInterface, MemberInterface

All Known Implementing Classes:
  Cube, Dimension, Hierarchy, Level, Measure, Member

    public interface MetadataEntityInterface

A base interace with all the common methods for the Metadata object.

Method Summary
`java.util.Date` | `getCreationDateTime()` Get the creation date of this object
`java.lang.String` | `getDescription()` get the description of this object
`java.lang.String` | `getLabel()` Get the label/caption for this metadata object
`MetadataInterface` | `getMetadata()` Returns an instance of the MetadataInterface that is associated with this cube.
`java.lang.String` | `getName()` Get the Name of this object
`java.lang.String` | `getUniqueName()` Get the Unique name of this object
`java.util.Date` | `getUpdateDateTime()` Get the last update/modified date time for this object

Method Detail

### getName

    java.lang.String getName()
                             throws OLAPException

  Get the Name of this object

  Returns:
    Name of the metadata object
  Throws:
    `OLAPException`

### getUniqueName

    java.lang.String getUniqueName()
                                   throws OLAPException

  Get the Unique name of this object

  Returns:
    unique name of the object
  Throws:
    `OLAPException`

### getLabel

    java.lang.String getLabel()
                              throws OLAPException

  Get the label/caption for this metadata object

  Returns:
    label
  Throws:
    `OLAPException`

### getDescription

    java.lang.String getDescription()
                                    throws OLAPException

  get the description of this object

  Returns:
    description of this object
  Throws:
    `OLAPException`

### getCreationDateTime

    java.util.Date getCreationDateTime()
                                       throws OLAPException

  Get the creation date of this object

  Returns:
    Date time when the object was created
  Throws:
    `OLAPException`

### getUpdateDateTime

    java.util.Date getUpdateDateTime()
                                     throws OLAPException

  Get the last update/modified date time for this object

  Returns:
    last update/modified date time of this object
  Throws:
    `OLAPException`

### getMetadata

    MetadataInterface getMetadata()
                                  throws OLAPException

  Returns an instance of the MetadataInterface that is associated with this cube. Null if the cube is not bound to a metadata object.

  Returns:
    The metadata object associated with this cube.
  Throws:
    `OLAPException` - if a database error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.